#!/bin/sh

# FreeBSD steps
sudo pkg update
sudo pkg upgrade -y
sudo pkg autoremove -y

# install QEMU guest agent
sudo pkg install -y bash

# Delete /etc/hostid so it gets regenerated
sudo rm /etc/hostid

# Install Puppet
sudo pkg install -y puppet8
echo "\n[agent]\nserver = puppet-v2.int.metaunix.net\nruninterval = 6h\n" | sudo tee -a /usr/local/etc/puppet/puppet.conf

